Bug 756248 - Kernel not ready to support lxc, Cgroup namespace missing.
Kernel not ready to support lxc, Cgroup namespace missing.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lxc (Show other bugs)
16
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Thomas Moschny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-22 21:20 EST by LaKing
Modified: 2012-04-13 17:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: lxc-0.7.5-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 17:31:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description LaKing 2011-11-22 21:20:19 EST
Description of problem:

After installing the lxc package,lxc-checkconfig reports
--- Control groups ---
Cgroup namespace: missing


Version-Release number of selected component (if applicable):
lxc 0.7.4.2-0.fc16 x86_64
kernel config-3.1.1-2.fc16.x86_64
kernel config-3.1.0-7.fc16.x86_64

How reproducible:
100% (on both, 32 and 64 bit platform)

Steps to Reproduce:
1. yum install lxc || lxc-checkconfig
  
Actual results:
The tool reports that lxc is not functional.
(Cgroup namespace: missing)

Expected results:
Cgroup namespace: enabled
At least it is for fedora 15. with the 2.x kernel.
Comment 1 Thomas Moschny 2011-11-23 06:12:11 EST
As far as I know this is fixes in 0.7.5. I'll try to get an update out shortly.
Comment 2 LaKing 2011-11-23 10:29:26 EST
Yes Thomas, you are right. It seems compiling 0.7.5 and checking the kernel configuration then reports everything enabled.
Comment 3 Fedora Admin XMLRPC Client 2012-01-14 15:33:29 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2012-01-14 16:42:42 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Update System 2012-03-27 12:50:35 EDT
lxc-0.7.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lxc-0.7.5-1.fc16
Comment 6 Fedora Update System 2012-03-30 23:04:54 EDT
Package lxc-0.7.5-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lxc-0.7.5-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4992/lxc-0.7.5-1.fc16
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-04-13 17:31:18 EDT
lxc-0.7.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.